#include <iostream>

using namespace std;
long long br=0;
long long stepenovanje(long long n,long long k )
{
    if(k==0)
        return 1 ;
    else
        if(k%2==0)
        return stepenovanje(n*n,k/2);
    else
        return n*stepenovanje(n*n,k/2);
}
void fun(long long cena)
{
    if(cena==0)
        return;
    long long c=cena;
    long long red=0;
    for(;c>=10;red++)
        c/=10;
    long long l=stepenovanje(10,red);
    long long k=(long long)cena/(5*l);
    if(k)
        {
            br+=k;
            fun(cena-k*5*l);
            return;
        }
    k=cena/(2*l);
    if(k)
        {
            br+=k;
            fun(cena-k*2*l);
            return;
        }
     k=cena/l;
     if(k)
        {
            br+=k;
            fun(cena-k*l);
            return;
        }
}
int main()
{
    long long cena;
    cin>>cena;
    fun(cena);
    cout<<br;
    return 0;
}